Bug 608801 - [Emulex 5.6 bug] be2iscsi: IO stalls if any SGE size=65536
Summary: [Emulex 5.6 bug] be2iscsi: IO stalls if any SGE size=65536
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5.6
Hardware: All Linux
high
high
Target Milestone: rc
: 5.6
Assignee: Mike Christie
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: OtherQA
Depends On:
Blocks: 557597
TreeView+ depends on / blocked
 
Reported: 2010-06-28 17:11 UTC by jayamohank
Modified: 2011-01-13 21:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 21:39:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description jayamohank 2010-06-28 17:11:21 UTC
Description of problem:
 The IO's will stall if SGE size in any SGL becomes equal to 65536.

Version-Release number of selected component (if applicable):


How reproducible:
Every time any SGE size becomes equal to 65536

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 RHEL Product and Program Management 2010-06-28 20:48:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Andrius Benokraitis 2010-06-29 03:19:03 UTC
How often does this condition occur? Trying to narrow down the patchset for the DUP, and hopefully this shouldn't be required. Laurie?

Comment 3 jayamohank 2010-06-29 17:00:21 UTC
We had not hit this problem before but in RHEL6 Snapshot6, we see it instantaneously. The IO tests stalls almost immediately.

The FIX is a one line change. Hope it can be added to RHEL6.0 (and RHEl5.6)

Comment 4 Andrius Benokraitis 2010-06-29 17:37:50 UTC
(In reply to comment #3)
> We had not hit this problem before but in RHEL6 Snapshot6, we see it
> instantaneously. The IO tests stalls almost immediately.
> 
> The FIX is a one line change. Hope it can be added to RHEL6.0 (and RHEl5.6)    

In which 6.0 bugzilla did you report this?

Comment 5 jayamohank 2010-06-29 17:45:15 UTC
The bug for RHEL6.0

https://bugzilla.redhat.com/show_bug.cgi?id=608795

Comment 6 jayamohank 2010-07-16 21:13:19 UTC

The patch that is under discussion is referenced below. There is no change
for the driver version remains same 2.0.527.0. There is no other change required

http://marc.info/?l=linux-scsi&m=127922464621612&w=2

Comment 7 Andrius Benokraitis 2010-07-20 14:08:02 UTC
This bugzilla, proposed for RHEL 5.6, is also requested to be included in the be2iscsi DUP for 5.5.z based on comments from Emulex and mchristi.

Comment 9 Jarod Wilson 2010-07-23 15:29:30 UTC
in kernel-2.6.18-208.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 11 jayamohank 2010-09-15 17:53:52 UTC
The io issue  of SGE size = 64K is fixed and verified

Comment 13 errata-xmlrpc 2011-01-13 21:39:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.